Subject: Re: how to make a .lib from msfl70d.dll
From: "Paul Garceau" <[email-masked]>
To: [email-masked]
Date: Tue, 19 Sep 2000 14:46:30 -0700

Hi folks,

On 19 Sep 2000, at 12:19, the Illustrious Thomas Sailer wrote:

> Chris Faylor wrote:
> 
> > Can't you use this lib file with gcc?  Just rename it from
> > foo.lib to libfoo.a .
> 
> I tried this with the MSVC compiled ORBit port for Win32. Now I'm
> getting undefined references
> 
> o:\programming\cor:7: undefined reference to `_chkesp'

> o:\programming\cor:15: undefined reference to `_alloca_probe'

NT4:
	_chkesp exists under msvcrt.dll, msvcrtd.dll, msvcrt60.dll
	_alloca_probe exists under Rpcproxy.dll, Ntdll.dll, Shell32.dll
		Rpcrt4.dll, and Mpr.dll.

Win98:
	_chkesp exists under msvcrt.dll and msvcrtd.dll
	_alloca_probe exists under wupdatto.dll

> 
> _chkesp seems to be in MSVCRT.DLL (but AFAIK not in mingw's
> libmsvcrt.a), but I haven't found _alloca_probe.

	It appears that if you truly need these calls, you will need to 
add a new library to your usr\local\lib directory based on the 
.dlls noted above (implib should do this quite nicely).

	Peace,

		Paul G.
> 
> Tom
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
> 

Nothing real can be threatened.
    Nothing unreal exists.

--
Want to unsubscribe from this list?
Send a message to [email-masked]